org.codehaus.groovy.transform.powerassert

## Class AssertionVerifier

- java.lang.Object
- - org.codehaus.groovy.transform.powerassert.AssertionVerifier

    public abstract class AssertionVerifier
    extends Object

Verifies that assertions hold, throwing a PowerAssertionError otherwise. Only meant to be called from code generated by the transformation.

Author:
  Peter Niederwieser

### Field Summary

Fields
`static String` `VERIFY_METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`AssertionVerifier()`

### Method Summary

Methods
`static void` `verify(Object truthValue, String text, ValueRecorder recorder)` Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VERIFY_METHOD_NAME

    public static final String VERIFY_METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### AssertionVerifier

    public AssertionVerifier()

### Method Detail

#### verify

    public static void verify(Object truthValue,
              String text,
              ValueRecorder recorder)

Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.

Parameters:
  `truthValue` - the value of an assertion's truth expression
  `text` - the source text of the assertion
  `recorder` - a ValueRecorder used for rendering failed assertions